Page MenuHomePhabricator

Make it more obvious to user how to add a filter
Closed, ResolvedPublic

Description

When looking at the filters, it wasn't immediately obvious to me how to add another filter.

I expected there to be a little plus symbol (or similar) at the end of the list of filters that I currently had active. Clicking on this button could open one of the dialogues that is already available, and move the cursor to that dialogue.

Event Timeline

Deskana created this task.Aug 13 2017, 3:10 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 13 2017, 3:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mattflaschen-WMF renamed this task from Make it more obvious how to add a filter to Make it more obvious to user how to add a filter.Aug 22 2017, 6:01 PM

@Pginer-WMF, Dan is still experiencing the uncertainty of where the starting point is for filtering that we've observed. Like you, he likes the +. (I hope I that forwarding this ticket to your attention will have the effect of impressing you with what an honest broker I am. :-)

I don't actually think that just changing the icon will do the trick (my guess is that there are + people and hamburger people—and probably downward arrow people—so that changing the icon will just make one group happy at the expense of the others). We talked about it a bit in triage: Matt suggested making the hamburger into an actual button, with a downward arrow. Benoit suggested adding the plus sign (as a button?) to the Active Filter Area.

What ideas do you have for clarifying?

I think that the "+" brings a stronger meaning of adding that could play well with the list of tags above, and using the label "Add filters for recent changes" can add clarity. So I'd be ok to change the metaphor.

However, I don't recall anyone in the recent user research rounds that was unable to find their way to filter. So I don't think that we have enough evidence to justify making the filtering entry point much more prominent (increasing prominence from an element comes at the price of reducing it from the rest).

In T173257#3544013, @Pginer-WMF wrote:

I think that the "+" brings a stronger meaning of adding that could play well with the list of tags above, and using the label "Add filters for recent changes" can add clarity. So I'd be ok to change the metaphor.

Thanks Pau. I can't quite picture what you're thinking of here. Are you just talking about changing the icon and the text? Or would this be in the Active Filters area?

In T173257#3544013, @Pginer-WMF wrote:

I think that the "+" brings a stronger meaning of adding that could play well with the list of tags above, and using the label "Add filters for recent changes" can add clarity. So I'd be ok to change the metaphor.

Thanks Pau. I can't quite picture what you're thinking of here. Are you just talking about changing the icon and the text? Or would this be in the Active Filters area?

I'm talking about changing the icon and the text. The entry point is already right after the active filter area that it affects.

jmatazzoni closed this task as Resolved.Sep 6 2017, 11:52 PM

Closing this design task, which is succeeded by T175217